
# build stage
FROM node:lts-alpine as build-stage
ENV API_SERVER_HOST=http://zxx4.f3322.net:30880/api/middle/
WORKDIR /app
COPY . .
RUN yarn install && yarn run build
 
# production stage
FROM nginx:stable-alpine as production-stage
COPY nginx/nginx.conf /etc/nginx/nginx.conf
COPY --from=build-stage /app/dist /usr/share/nginx/html
 
EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]
